package com.ghy.goods.service;

import com.ghy.goods.domain.GoodsImgs;

import javax.validation.constraints.NotNull;
import java.util.Collection;
import java.util.List;

/**
 * 商品图片接口
 */
public interface GoodsImgsService {

    /**
     * 查询符合条件的图片信息
     *
     * @param goodsImgs 条件
     * @return 图片信息列表
     */
    List<GoodsImgs> qryGoodsImgs(GoodsImgs goodsImgs);

    /**
     * 批量插入商品图片信息
     *
     * @param goodsImgs 商品图片信息
     * @return
     */
    int batchInsert(List<GoodsImgs> goodsImgs);

    /**
     * 批量编辑商品图片信息
     *
     * @param goodsImgs 商品图片信息
     * @return
     */
    int batchUpdate(Collection<GoodsImgs> goodsImgs);

    /**
     * 批量删除商品图片信息
     *
     * @param ids 商品图片信息ID
     * @return
     */
    int batchDelete(Collection<Long> ids);

    /**
     * 通过商品ID删除商品图片信息
     *
     * @param goodsId 商品ID
     * @return
     */
    int deleteByGoodsId(@NotNull Long goodsId);

    /**
     * 通过商品ID查询商品图片信息
     *
     * @param goodsId 商品ID
     * @return
     */
    List<GoodsImgs> selectByGoodsId(@NotNull Long goodsId);

}
